> For the complete documentation index, see [llms.txt](https://docs.17movement.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.17movement.net/speech-recognition/basic-stuff.md).

# Basic Stuff

## Player Loaded Event

```lua
Config.PlayerLoadedEvents = {
    ["QBCore:Client:OnPlayerLoaded"] = true,
    ["esx:playerLoaded"] = true,
    ["playerSpawned"] = true,
}
```

If you are using any other framework like vRP or Standalone Server you should add the event here based on the Framework

## On First Talk

```lua
Config.ApprovalRequestMode = "onFirstTalk"
```

**Approval Request Modes:**\
\
"onFirstTalk" - When player will want to talk something first time on server (only after loading)

"onFirstJoin" - When player will first join ur server (after ur Config.PlayerLoadedEvents event)

"onEvent" - You can open the apporval menu anytime you want. Select this option, and then trigger the "17mov\_SpeechRecognition:OpenApprovalMenu" event


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.17movement.net/speech-recognition/basic-stuff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
